Retrieve tracks. – Media API – MediaKind
Retrieve tracks.
get https://app.mk.io/api/v1/projects/:project_name/media/assets/:asset_name/storage/
The Azure Storage Data Retrieval API is designed to provide restricted information about data stored in Azure Storage containers. This API allows users to interact with data in a secure and efficient manner, without directly altering the stored data.
Here are key features and purposes of this API:
- List Container Contents: It enumerates the contents of an Azure Storage container. This operation returns both files and folders within the specified container, enabling users to navigate through the hierarchical data structure.
- View Track Listings: This API will generate available track listings for any media files contained within the specified container. Track listings are inclusive of video, audio, and text tracks. If available, the API will also return the track's language and bitrate.
- Security: This API is scoped only to the configured storage account and is only accessible to users who have access to the subscription in which the asset resides. It is a readonly API that does not allow for any mutation or creation operations, and which cannot be used to retrieve any data from the storage account.
- RBAC Capability Required:
ams.asset.get
Authentication
- Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name: string (Required)
- asset_name: string (Required)
Response
200 Tracks and Files Listing
metadata: object AssetStorageDataMetadataSchema (Required)
Metadata about the asset.- id: string (Required, format: uuid)
The unique identifier for the asset. - name: string (Required)
- id: string (Required, format: uuid)
spec: object AssetStorageDataSpecSchema (Required)
The storage container data.- container: string (Required)
The name of the storage container. - error: map from strings to string (Optional)
A dictionary containing error information. - exceptions: object ExceptionsSchema (Optional)
A list of exceptions that occurred during the retrieval process. - files: list of objects FileSchema (Required)
- name: string (Required)
- size: integer (Required)
- folders: list of objects FolderSchema (Required)
- name: string (Required)
- formatHint: string (Required) A hint to the client as to the format of the data.
- container: string (Required)
periods: map from strings to object Period (Optional)
tracks: map from strings to object TrackSchema (Optional)
Errors
- 400 Bad Request
- error: object ErrorDetail (Required)
- code: string (Required)
- detail: string (Required)
- ref: string (Required)
- status: integer (Required)
- error: object ErrorDetail (Required)
- 401 Unauthorized
- 403 Forbidden
- 404 Not Found
- 429 Too Many Requests
- 500 Internal Server Error